跳转到主要内容
Environment

列出 Environment

分页列出业务空间下的环境

GET
/api/v1/agentstudio/environments
cURL
curl --request GET \
  --url 'https://dashscope.aliyuncs.com/api/v1/agentstudio/environments' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "env_xxx",
      "type": "environment",
      "name": "data-sandbox",
      "description": "数据分析沙箱",
      "config": {
        "type": "cloud",
        "packages": {
          "apt": [
            "ffmpeg"
          ],
          "pip": [
            "pandas",
            "numpy",
            "matplotlib"
          ]
        },
        "networking": {
          "type": "unrestricted"
        }
      },
      "metadata": {
        "team": "infra"
      },
      "scope": "organization",
      "archived_at": null,
      "created_at": "2026-06-16T12:45:34+08:00",
      "updated_at": "2026-06-16T12:45:34+08:00"
    }
  ],
  "next_page": "xxx",
  "request_id": "xxx"
}

鉴权

string
header
必填

DashScope API Key

查询参数

integer
默认值20

每页数量,最大 100

string

首次不传,后续传上一次响应的 next_page

boolean
默认值false

是否包含已归档环境

响应

200-application/json
object[]

Environment 对象数组

string

下一页游标

string

本次请求的唯一标识